Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Zend Framework 2 Module for Doctrine

tag: 0.5.0

Fetching latest commit…

Octocat-spinner-32-eaf2f5

Cannot retrieve the latest commit at this time

Octocat-spinner-32 .travis
Octocat-spinner-32 bin
Octocat-spinner-32 config
Octocat-spinner-32 docs
Octocat-spinner-32 src
Octocat-spinner-32 tests
Octocat-spinner-32 .gitignore
Octocat-spinner-32 .travis.yml
Octocat-spinner-32 LICENSE
Octocat-spinner-32 Module.php
Octocat-spinner-32 README.md
Octocat-spinner-32 composer.json
README.md

DoctrineModule for Zend Framework 2 Master Branch Build Status

DoctrineModule provides basic functionality consumed by DoctrineORMModule (if you want to use Doctrine ORM) and DoctrineMongoODMModule (if you want to use MongoDB ODM)

Documentation

Please check the docs dir for more detailed documentation on the features provided by this module.

Installation

Installation of DoctrineModule uses composer. For composer documentation, please refer to getcomposer.org.

  1. cd my/project/directory
  2. create or modify the composer.json file within your ZF2 application file with following contents:

     {
         "minimum-stability": "dev",
         "require": {
             "doctrine/doctrine-module": "dev-master"
         }
     }
    
  3. install composer via curl -s https://getcomposer.org/installer | php (on windows, download https://getcomposer.org/installer and execute it with PHP). Then run php composer.phar install
  4. open my/project/directory/configs/application.config.php and add the following key to your modules:

     'DoctrineModule',
    

Installation (without composer)

  1. clone this repository to vendor/DoctrineModule in your ZF2 application
  2. The module depends on various packages that you have to install and autoload in order to get it to work. Check the require section of the composer.json file to see what these requirements are.
  3. open my/project/directory/configs/application.config.php and add the following key to your modules:

     'DoctrineModule',
    
Something went wrong with that request. Please try again.